Loading...
Searching...
No Matches
gr::dtv Namespace Reference

## Classes

class | atsc_deinterleaver
| ATSC deinterleave RS encoded ATSC data ( atsc_mpeg_packet_rs_encoded --> atsc_mpeg_packet_rs_encoded) More...
class | atsc_depad
| ATSC depad mpeg ts packets from 256 byte atsc_mpeg_packet to 188 byte char. More...
class | atsc_derandomizer
| ATSC "dewhiten" incoming mpeg transport stream packets. More...
class | atsc_equalizer
| ATSC Receiver Equalizer. More...
class | atsc_field_sync_mux
| <+description of block+> More...
class | atsc_fpll
| ATSC Receiver FPLL. More...
class | atsc_fs_checker
| ATSC Receiver FS_CHECKER. More...
class | atsc_interleaver
| <+description of block+> More...
class | atsc_pad
| <+description of block+> More...
class | atsc_randomizer
| <+description of block+> More...
class | atsc_rs_decoder
| ATSC Receiver Reed-Solomon Decoder. More...
class | atsc_rs_encoder
| <+description of block+> More...
class | atsc_sync
| ATSC Receiver SYNC. More...
class | atsc_trellis_encoder
| <+description of block+> More...
class | atsc_viterbi_decoder
| ATSC Viterbi Decoder. More...
class | catv_frame_sync_enc_bb
| Frame Sync Encoder. Adds a 42-bit (64QAM) or 40-bit (256QAM) frame sync pattern with control word. More...
class | catv_randomizer_bb
| Randomizer, x^3 + x + alpha^3, 7-bit symbols. More...
class | catv_reed_solomon_enc_bb
| Reed Solomon Encoder, t=3, (128,122), 7-bit symbols. More...
class | catv_transport_framing_enc_bb
| Transport Framing Encoder. Adds a parity checksum to MPEG-2 packets. More...
class | catv_trellis_enc_bb
| Trellis Encoder. 14/15 (64QAM) or 19/20 (256QAM) code rate. More...
class | dvb_bbheader_bb
| Formats MPEG-2 Transport Stream packets into FEC baseband frames and adds a 10-byte header. More...
class | dvb_bbscrambler_bb
| Scrambles FEC baseband frames with a PRBS encoder. More...
class | dvb_bch_bb
| Encodes a BCH ((Bose, Chaudhuri, Hocquenghem) FEC. More...
class | dvb_ldpc_bb
| Encodes a LDPC (Low-Density Parity-Check) FEC. More...
class | dvbs2_interleaver_bb
| Bit interleaves DVB-S2 FEC baseband frames. More...
class | dvbs2_modulator_bc
| Modulates DVB-S2 frames. More...
class | dvbs2_physical_cc
| Signals DVB-S2 physical layer frames. More...
class | dvbt2_cellinterleaver_cc
| Cell and time interleaves QPSK/QAM modulated cells. More...
class | dvbt2_framemapper_cc
| Maps T2 frames. More...
class | dvbt2_freqinterleaver_cc
| Frequency interleaves a T2 frame. More...
class | dvbt2_interleaver_bb
| Bit interleaves DVB-T2 FEC baseband frames. More...
class | dvbt2_miso_cc
| Splits the stream for MISO (Multiple Input Single Output). More...
class | dvbt2_modulator_bc
| Modulates DVB-T2 cells. More...
class | dvbt2_p1insertion_cc
| Inserts a P1 symbol. More...
class | dvbt2_paprtr_cc
| Peak to Average Power Ratio (PAPR) reduction. More...
class | dvbt2_pilotgenerator_cc
| Adds pilots to T2 frames. More...
class | dvbt_bit_inner_deinterleaver
| Bit Inner deinterleaver. More...
class | dvbt_bit_inner_interleaver
| Bit Inner interleaver. More...
class | dvbt_convolutional_deinterleaver
| Convolutional deinterleaver. More...
class | dvbt_convolutional_interleaver
| Convolutional interleaver. More...
class | dvbt_demap
| DVB-T demapper. More...
class | dvbt_demod_reference_signals
| Reference signals demodulator. More...
class | dvbt_energy_descramble
| Energy descramble. More...
class | dvbt_energy_dispersal
| Energy dispersal. More...
class | dvbt_inner_coder
| Inner coder with Puncturing. More...
class | dvbt_map
| DVB-T mapper. More...
class | dvbt_ofdm_sym_acquisition
| OFDM symbol acquisition. More...
class | dvbt_reed_solomon_dec
| Reed Solomon decoder. More...
class | dvbt_reed_solomon_enc
| Reed Solomon encoder. More...
class | dvbt_reference_signals
| Reference signals generator. More...
class | dvbt_symbol_inner_interleaver
| Symbol interleaver. More...
class | dvbt_viterbi_decoder
| DVB-T Viterbi decoder. More...
class | plinfo
| pipeline info that flows with data More...

## Enumerations

enum | catv_constellation_t { CATV_MOD_64QAM = 0 , CATV_MOD_256QAM }
enum | dvb_standard_t { STANDARD_DVBS2 = 0 , STANDARD_DVBT2 }

enum

dvb_code_rate_t {
C1_4 = 0 , C1_3 , C2_5 , C1_2 ,
C3_5 , C2_3 , C3_4 , C4_5 ,
C5_6 , C7_8 , C8_9 , C9_10 ,
C13_45 , C9_20 , C90_180 , C96_180 ,
C11_20 , C100_180 , C104_180 , C26_45 ,
C18_30 , C28_45 , C23_36 , C116_180 ,
C20_30 , C124_180 , C25_36 , C128_180 ,
C13_18 , C132_180 , C22_30 , C135_180 ,
C140_180 , C7_9 , C154_180 , C11_45 ,
C4_15 , C14_45 , C7_15 , C8_15 ,
C32_45 , C2_9_VLSNR , C1_5_MEDIUM , C11_45_MEDIUM ,
C1_3_MEDIUM , C1_5_VLSNR_SF2 , C11_45_VLSNR_SF2 , C1_5_VLSNR ,
C4_15_VLSNR , C1_3_VLSNR , C_OTHER
}

enum | dvb_framesize_t { FECFRAME_SHORT = 0 , FECFRAME_NORMAL , FECFRAME_MEDIUM }
enum | dvb_constellation_t { MOD_QPSK = 0 , MOD_16QAM , MOD_64QAM , MOD_256QAM , MOD_8PSK , MOD_8APSK , MOD_16APSK , MOD_8_8APSK , MOD_32APSK , MOD_4_12_16APSK , MOD_4_8_4_16APSK , MOD_64APSK , MOD_8_16_20_20APSK , MOD_4_12_20_28APSK , MOD_128APSK , MOD_256APSK , MOD_BPSK , MOD_BPSK_SF2 , MOD_8VSB , MOD_OTHER }
enum | dvb_guardinterval_t { GI_1_32 = 0 , GI_1_16 , GI_1_8 , GI_1_4 , GI_1_128 , GI_19_128 , GI_19_256 }
enum | dvbs2_rolloff_factor_t { RO_0_35 = 0 , RO_0_25 , RO_0_20 , RO_RESERVED , RO_0_15 , RO_0_10 , RO_0_05 }
enum | dvbs2_pilots_t { PILOTS_OFF = 0 , PILOTS_ON }
enum | dvbs2_interpolation_t { INTERPOLATION_OFF = 0 , INTERPOLATION_ON }
enum | dvbt2_rotation_t { ROTATION_OFF = 0 , ROTATION_ON }
enum | dvbt2_streamtype_t { STREAMTYPE_TS = 0 , STREAMTYPE_GS , STREAMTYPE_BOTH }
enum | dvbt2_inputmode_t { INPUTMODE_NORMAL = 0 , INPUTMODE_HIEFF }
enum | dvbt2_extended_carrier_t { CARRIERS_NORMAL = 0 , CARRIERS_EXTENDED }
enum | dvbt2_preamble_t { PREAMBLE_T2_SISO = 0 , PREAMBLE_T2_MISO , PREAMBLE_NON_T2 , PREAMBLE_T2_LITE_SISO , PREAMBLE_T2_LITE_MISO }
enum | dvbt2_fftsize_t { FFTSIZE_2K = 0 , FFTSIZE_8K , FFTSIZE_4K , FFTSIZE_1K , FFTSIZE_16K , FFTSIZE_32K , FFTSIZE_8K_T2GI , FFTSIZE_32K_T2GI , FFTSIZE_16K_T2GI = 11 }
enum | dvbt2_papr_t { PAPR_OFF = 0 , PAPR_ACE , PAPR_TR , PAPR_BOTH }
enum | dvbt2_l1constellation_t { L1_MOD_BPSK = 0 , L1_MOD_QPSK , L1_MOD_16QAM , L1_MOD_64QAM }
enum | dvbt2_pilotpattern_t { PILOT_PP1 = 0 , PILOT_PP2 , PILOT_PP3 , PILOT_PP4 , PILOT_PP5 , PILOT_PP6 , PILOT_PP7 , PILOT_PP8 }
enum | dvbt2_version_t { VERSION_111 = 0 , VERSION_121 , VERSION_131 }
enum | dvbt2_reservedbiasbits_t { RESERVED_OFF = 0 , RESERVED_ON }
enum | dvbt2_l1scrambled_t { L1_SCRAMBLED_OFF = 0 , L1_SCRAMBLED_ON }
enum | dvbt2_misogroup_t { MISO_TX1 = 0 , MISO_TX2 }
enum | dvbt2_showlevels_t { SHOWLEVELS_OFF = 0 , SHOWLEVELS_ON }
enum | dvbt2_inband_t { INBAND_OFF = 0 , INBAND_ON }
enum | dvbt2_equalization_t { EQUALIZATION_OFF = 0 , EQUALIZATION_ON }
enum | dvbt2_bandwidth_t { BANDWIDTH_1_7_MHZ = 0 , BANDWIDTH_5_0_MHZ , BANDWIDTH_6_0_MHZ , BANDWIDTH_7_0_MHZ , BANDWIDTH_8_0_MHZ , BANDWIDTH_10_0_MHZ }
enum | dvbt_hierarchy_t { NH = 0 , ALPHA1 , ALPHA2 , ALPHA4 }
enum | dvbt_transmission_mode_t { T2k = 0 , T8k = 1 }

## Variables

static constexpr int | ATSC_MPEG_DATA_LENGTH = 187
static constexpr int | ATSC_MPEG_PKT_LENGTH = 188
static constexpr int | ATSC_MPEG_RS_ENCODED_LENGTH = 207
static constexpr int | MPEG_SYNC_BYTE = 0x47
static constexpr int | MPEG_TRANSPORT_ERROR_BIT = 0x80
static constexpr double | ATSC_SYMBOL_RATE = 4.5e6 / 286 * 684
static constexpr double | ATSC_DATA_SEGMENT_RATE = ATSC_SYMBOL_RATE / 832
static constexpr int | ATSC_DATA_SEGMENT_LENGTH
static constexpr int | ATSC_DSEGS_PER_FIELD = 312

## Enumeration Type Documentation

## catv_constellation_t

enum gr::dtv::catv_constellation_t

Enumerator
CATV_MOD_64QAM |
CATV_MOD_256QAM |

## dvb_code_rate_t

enum gr::dtv::dvb_code_rate_t

Enumerator
C1_4 |
C1_3 |
C2_5 |
C1_2 |
C3_5 |
C2_3 |
C3_4 |
C4_5 |
C5_6 |
C7_8 |
C8_9 |
C9_10 |
C13_45 |
C9_20 |
C90_180 |
C96_180 |
C11_20 |
C100_180 |
C104_180 |
C26_45 |
C18_30 |
C28_45 |
C23_36 |
C116_180 |
C20_30 |
C124_180 |
C25_36 |
C128_180 |
C13_18 |
C132_180 |
C22_30 |
C135_180 |
C140_180 |
C7_9 |
C154_180 |
C11_45 |
C4_15 |
C14_45 |
C7_15 |
C8_15 |
C32_45 |
C2_9_VLSNR |
C1_5_MEDIUM |
C11_45_MEDIUM |
C1_3_MEDIUM |
C1_5_VLSNR_SF2 |
C11_45_VLSNR_SF2 |
C1_5_VLSNR |
C4_15_VLSNR |
C1_3_VLSNR |
C_OTHER |

## dvb_constellation_t

enum gr::dtv::dvb_constellation_t

Enumerator
MOD_QPSK |
MOD_16QAM |
MOD_64QAM |
MOD_256QAM |
MOD_8PSK |
MOD_8APSK |
MOD_16APSK |
MOD_8_8APSK |
MOD_32APSK |
MOD_4_12_16APSK |
MOD_4_8_4_16APSK |
MOD_64APSK |
MOD_8_16_20_20APSK |
MOD_4_12_20_28APSK |
MOD_128APSK |
MOD_256APSK |
MOD_BPSK |
MOD_BPSK_SF2 |
MOD_8VSB |
MOD_OTHER |

## dvb_framesize_t

enum gr::dtv::dvb_framesize_t

Enumerator
FECFRAME_SHORT |
FECFRAME_NORMAL |
FECFRAME_MEDIUM |

## dvb_guardinterval_t

enum gr::dtv::dvb_guardinterval_t

Enumerator
GI_1_32 |
GI_1_16 |
GI_1_8 |
GI_1_4 |
GI_1_128 |
GI_19_128 |
GI_19_256 |

## dvb_standard_t

enum gr::dtv::dvb_standard_t

Enumerator
STANDARD_DVBS2 |
STANDARD_DVBT2 |

## dvbs2_interpolation_t

enum gr::dtv::dvbs2_interpolation_t

Enumerator
INTERPOLATION_OFF |
INTERPOLATION_ON |

## dvbs2_pilots_t

enum gr::dtv::dvbs2_pilots_t

Enumerator
PILOTS_OFF |
PILOTS_ON |

## dvbs2_rolloff_factor_t

enum gr::dtv::dvbs2_rolloff_factor_t

Enumerator
RO_0_35 |
RO_0_25 |
RO_0_20 |
RO_RESERVED |
RO_0_15 |
RO_0_10 |
RO_0_05 |

## dvbt2_bandwidth_t

enum gr::dtv::dvbt2_bandwidth_t

Enumerator
BANDWIDTH_1_7_MHZ |
BANDWIDTH_5_0_MHZ |
BANDWIDTH_6_0_MHZ |
BANDWIDTH_7_0_MHZ |
BANDWIDTH_8_0_MHZ |
BANDWIDTH_10_0_MHZ |

## dvbt2_equalization_t

enum gr::dtv::dvbt2_equalization_t

Enumerator
EQUALIZATION_OFF |
EQUALIZATION_ON |

## dvbt2_extended_carrier_t

enum gr::dtv::dvbt2_extended_carrier_t

Enumerator
CARRIERS_NORMAL |
CARRIERS_EXTENDED |

## dvbt2_fftsize_t

enum gr::dtv::dvbt2_fftsize_t

Enumerator
FFTSIZE_2K |
FFTSIZE_8K |
FFTSIZE_4K |
FFTSIZE_1K |
FFTSIZE_16K |
FFTSIZE_32K |
FFTSIZE_8K_T2GI |
FFTSIZE_32K_T2GI |
FFTSIZE_16K_T2GI |

## dvbt2_inband_t

enum gr::dtv::dvbt2_inband_t

Enumerator
INBAND_OFF |
INBAND_ON |

## dvbt2_inputmode_t

enum gr::dtv::dvbt2_inputmode_t

Enumerator
INPUTMODE_NORMAL |
INPUTMODE_HIEFF |

## dvbt2_l1constellation_t

enum gr::dtv::dvbt2_l1constellation_t

Enumerator
L1_MOD_BPSK |
L1_MOD_QPSK |
L1_MOD_16QAM |
L1_MOD_64QAM |

## dvbt2_l1scrambled_t

enum gr::dtv::dvbt2_l1scrambled_t

Enumerator
L1_SCRAMBLED_OFF |
L1_SCRAMBLED_ON |

## dvbt2_misogroup_t

enum gr::dtv::dvbt2_misogroup_t

Enumerator
MISO_TX1 |
MISO_TX2 |

## dvbt2_papr_t

enum gr::dtv::dvbt2_papr_t

Enumerator
PAPR_OFF |
PAPR_ACE |
PAPR_TR |
PAPR_BOTH |

## dvbt2_pilotpattern_t

enum gr::dtv::dvbt2_pilotpattern_t

Enumerator
PILOT_PP1 |
PILOT_PP2 |
PILOT_PP3 |
PILOT_PP4 |
PILOT_PP5 |
PILOT_PP6 |
PILOT_PP7 |
PILOT_PP8 |

## dvbt2_preamble_t

enum gr::dtv::dvbt2_preamble_t

Enumerator
PREAMBLE_T2_SISO |
PREAMBLE_T2_MISO |
PREAMBLE_NON_T2 |
PREAMBLE_T2_LITE_SISO |
PREAMBLE_T2_LITE_MISO |

## dvbt2_reservedbiasbits_t

enum gr::dtv::dvbt2_reservedbiasbits_t

Enumerator
RESERVED_OFF |
RESERVED_ON |

## dvbt2_rotation_t

enum gr::dtv::dvbt2_rotation_t

Enumerator
ROTATION_OFF |
ROTATION_ON |

## dvbt2_showlevels_t

enum gr::dtv::dvbt2_showlevels_t

Enumerator
SHOWLEVELS_OFF |
SHOWLEVELS_ON |

## dvbt2_streamtype_t

enum gr::dtv::dvbt2_streamtype_t

Enumerator
STREAMTYPE_TS |
STREAMTYPE_GS |
STREAMTYPE_BOTH |

## dvbt2_version_t

enum gr::dtv::dvbt2_version_t

Enumerator
VERSION_111 |
VERSION_121 |
VERSION_131 |

## dvbt_hierarchy_t

enum gr::dtv::dvbt_hierarchy_t

Enumerator
NH |
ALPHA1 |
ALPHA2 |
ALPHA4 |

## dvbt_transmission_mode_t

enum gr::dtv::dvbt_transmission_mode_t

Enumerator
T2k |
T8k |

## Variable Documentation

## ATSC_DATA_SEGMENT_LENGTH

int gr::dtv::ATSC_DATA_SEGMENT_LENGTH

static constexpr

Initial value:
=
832

## ATSC_DATA_SEGMENT_RATE

double gr::dtv::ATSC_DATA_SEGMENT_RATE = ATSC_SYMBOL_RATE / 832

static constexpr

## ATSC_DSEGS_PER_FIELD

int gr::dtv::ATSC_DSEGS_PER_FIELD = 312

static constexpr

## ATSC_MPEG_DATA_LENGTH

int gr::dtv::ATSC_MPEG_DATA_LENGTH = 187

static constexpr

## ATSC_MPEG_PKT_LENGTH

int gr::dtv::ATSC_MPEG_PKT_LENGTH = 188

static constexpr

## ATSC_MPEG_RS_ENCODED_LENGTH

int gr::dtv::ATSC_MPEG_RS_ENCODED_LENGTH = 207

static constexpr

## ATSC_SYMBOL_RATE

double gr::dtv::ATSC_SYMBOL_RATE = 4.5e6 / 286 * 684

static constexpr

## MPEG_SYNC_BYTE

int gr::dtv::MPEG_SYNC_BYTE = 0x47

static constexpr

## MPEG_TRANSPORT_ERROR_BIT

int gr::dtv::MPEG_TRANSPORT_ERROR_BIT = 0x80

static constexpr